Bug 15900 - Need to verify essential filesystems are formatted/writable before installing
Summary: Need to verify essential filesystems are formatted/writable before installing
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-10 00:42 UTC by John Cagle
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-27 19:22:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Cagle 2000-08-10 00:42:57 UTC
Unformatted partition cause following debug error message and fail the OS installation.

"Traceback (innermost last):
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/iw/progress_gui.py", line 19, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 1428, in doInstall
    self.fstab.mountFilesystems (self.instPath)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/fstab.py", line 697, in mountFilesystems
    raise SystemError, (errno, msg)
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
size: 2048144
fsystem: ext2
self: <fstab.GuiFstab instance at 8444b78>
msg: Invalid argument
doFormat: 0
errno: 22
device: ida/c0d0p6
instPath: /mnt/sysimage
mntpoint: /home1

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6"

Steps:
1. Erase the system
2. Start install OS
3. make partitions as following using diskdruid
   " /boot - 100Mb
      /        - 2Gb
      /home1 - 2Gb
      /home2 - 2Gb
      /home3 - 2Gb
      swap     - 500Mb
4. In "Choose partitions to format" window, deselect /home1, /home2, and home3. - I did this because I want different block size on each 
partition. 
5. select packages
6. during  package installation, the error message pops up

*  I understand that this is not the configuration people commonly do, but I still think it shoud work since they have option to choose partitions 
to format.

Comment 1 Michael Fulbright 2000-08-14 20:11:46 UTC
This needs to be handling more cleanly but will have to be deferred.

Comment 2 Michael Fulbright 2000-09-26 16:09:50 UTC
Moving to RESOVLED - DEFERRED from CLOSED - DEFERRED

Comment 3 Michael Fulbright 2000-09-26 16:55:32 UTC
Moving to RESOVLED - DEFERRED from CLOSED - DEFERRED

Comment 4 Michael Fulbright 2000-11-13 21:00:39 UTC
Related to bug 16686?

Comment 5 Michael Fulbright 2001-09-17 18:16:34 UTC
Is this still a problem with Red Hat Linux 7.1 or the roswell beta?

Comment 6 Brent Fox 2001-09-27 19:22:11 UTC
Any more info here?

Comment 7 Brent Fox 2001-09-27 19:32:54 UTC
Closing due to inactivity.  Please reopen if you have more information.


Note You need to log in before you can comment on or make changes to this bug.